Package twisted :: Package python :: Module log :: Class Logger |
[show private | hide private]
[frames | no frames]

## Class Logger

Known Subclasses:
  `FileDescriptor`, `Application`, `_Win32Waker`, `_UnixWaker`

This represents a class which may 'own' a log. Used by subclassing.

Method Summary
| ``logPrefix`(self)` Override this method to insert custom logging behavior.

Method Details

### logPrefix(self) Override this method to insert custom logging behavior. Its return value will be inserted in front of every line. It may be called more times than the number of output lines.

Generated by Epydoc 1.1 on Thu May 8 13:16:48 2003 | http://epydoc.sf.net